Skip to main content
GET
Get a dashboard

Authorizations

Authorization
string
header
required

An API key (utk_live_...) or an app's OAuth access token (uto_...).

Path Parameters

dashboardId
string<uuid>
required

A dashboard id.

Response

The dashboard.

id
string<uuid>
required
name
string
required
description
string | null
required
icon
string | null
required
color
string | null
required
visibility
enum<string>
required
Available options:
organization,
private
isDefault
boolean
required
pinned
boolean
required
readOnlyByPlan
boolean
required
hasUnpublishedChanges
boolean
required
editable
boolean
required

The credential may change the board's draft.

cards
object[]
required

The published cards, in the board's order.

url
string<uri>
required
createdAt
string<date-time>
required
Example:

"2026-09-30T10:00:00.000Z"

updatedAt
string<date-time> | null
required
Example:

"2026-09-30T10:00:00.000Z"

aiGenerated
boolean
required
aiGeneratedAt
string<date-time> | null
required

When text Usertick AI wrote was first stored here; null when people wrote all of it.

Example:

"2026-09-30T10:00:00.000Z"

Last modified on November 9, 2026